/*
*
* Custom styling for Piráti senate candidate website
* Author: Daniel Hlavacek
* Author's website: https://danielhlavacek.cz/
*
*/

/* GENERAL */

body {
  font-size: 16px;
  /*padding-top: 79px;*/
  font-family: "Roboto Condensed", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

a:hover {
  color: #757575;
}

/* HEADINGS */

h1, h1.lead {
  font-size: 3.6rem;
}

h2, h2.lead {
  font-size: 2.8rem;
}

h3, h3.lead {
  font-size: 2.1rem;
}

h4, h4.lead {
  font-size: 1.65rem;
}

h5, h5.lead {
  font-size: 1.3rem;
}

h6, h6.lead {
  font-size: 1rem;
}

@media screen and (max-width: 500px) {
  h1, h1.lead {
    font-size: 3rem;
  }
  h2, h2.lead {
    font-size: 2.4rem;
  }
  h3, h3.lead {
    font-size: 1.85rem;
  }
  h4, h4.lead {
    font-size: 1.4rem;
  }
  h5, h5.lead {
    font-size: 1.2rem;
  }
  h6, h6.lead {
    font-size: 1rem;
  }
}

h1.lead, h2.lead, h3.lead, h4.lead, h5.lead, h6.lead {
  font-family: "Bebas Neue", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  line-height: 1;
  text-transform: uppercase;
}



h1.homepage-heading {
  font-size: 6rem;
}
h1.heading {
  font-size: 4rem;
}
h2.page-subheading {
  font-size: 4rem;
}
h3.page-subheading {
  font-size: 3.8rem;
}

@media screen and (max-width: 1200px) {
  h1.homepage-heading {
    font-size: 5.4rem;
  }
  h1.heading {
    font-size: 4rem;
  }
  h2.page-subheading {
    font-size: 4rem;
  }
  h3.page-subheading {
    font-size: 3.6rem;
  }
}

@media screen and (max-width: 991px) {
  h1.homepage-heading {
    font-size: 4.4rem;
  }
  h1.heading {
    font-size: 3.7rem;
  }
  h2.page-subheading {
    font-size: 3.7rem;
  }
  h3.page-subheading {
    font-size: 3.2rem;
  }
}

@media screen and (max-width: 440px) {
  h1.homepage-heading {
    font-size: 3.8rem;
  }
  h1.heading {
    font-size: 3.4rem;
  }
  h2.page-subheading {
    font-size: 3.4rem;
  }
  h3.page-subheading {
    font-size: 3rem;
  }
}

@media screen and (max-width: 370px) {
  h1.homepage-heading {
    font-size: 3.6rem;
  }
  h2.page-subheading {
    font-size: 3rem;
  }
  h3.page-subheading {
    font-size: 2.6rem;
  }
}

@media screen and (max-width: 330px) {
  h1.homepage-heading {
    font-size: 3rem;
  }
  h2.page-subheading {
    font-size: 2.8rem;
  }
  h3.page-subheading {
    font-size: 2.3rem;
  }
}



/* BUTTONS */

.btn-dark {
  background: black;
}

.btn {
  border-radius: 0;
  padding: 0.7rem 1.6rem;
}

.btn {
  font-family: "Roboto Condensed", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

.btn-lg {
  border-radius: 0;
  padding: 0.7rem 3rem;
}

/* TOOLS AND FIXES */

.lazyload, .lazyloading {
  opacity: 0;
}

.lazyloaded {
  opacity: 1;
  transition: opacity .5s;
}

/* SECTIONS */

.section--primary {
  background: #ffffff;
  color: #000000;
}

.section--alternate {
  background: #f7f7f7;
  color: #000000;
}

.section--black {
  background: #000000;
  color: #ffffff;
}

/* SECTION SIZING */

section {
  padding: 4rem 0rem;
}

.section--lead {
  padding: 6rem 0rem;
}

.section--no-bottom-padding {
  padding-bottom: 0rem;
}

@media screen and (max-width: 991px) {
  section {
    padding: 3.5rem 0rem;
  }
  .section--lead {
    padding: 4rem 0rem;
  }
}

@media screen and (max-width: 768px) {
  section {
    padding: 3rem 0rem;
  }
  .section--lead {
    padding: 3.5rem 0rem;
  }
}

@media screen and (max-width: 575px) {
  section {
    padding: 2.5rem 0rem;
  }
  .section--lead {
    padding: 3rem 0rem;
  }
}

/* HEADER */

.navbar {
  background: #212121;
}

@media screen and (max-width: 1199.99px) {
  .navbar {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1030;
  }

  main {
    margin-top: 80px;
  }
}

.navbar-dark .navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='rgb(255, 255, 255)' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.navbar-dark .navbar-toggler {
  color: #ffffff;
  border: none;
  margin-right: -1rem;
}


.nav-link {
  display: block;
  padding: .5rem 1rem;
  text-transform: uppercase;
  font-family: "Roboto Condensed", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-size: 1.2rem;
}

.navbar-brand {
  font-family: "Bebas Neue", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-size: 2.2rem;
  text-transform: uppercase;
}

@media screen and (max-width: 420px) {
  .navbar-brand {
    font-size: 2rem;
  }
}

@media screen and (max-width: 390px) {
  .navbar-brand {
    font-size: 1.8rem;
  }
}

@media screen and (max-width: 350px) {
  .navbar-brand {
    font-size: 1.6rem;
  }
}

.navbar-brand--alt {
  display: none;
}

@media screen and (max-width: 330px) {
  .navbar-brand--alt {
    display: block;
  }
  .navbar-brand--primary {
    display: none;
  }
}

.brand-wrapper {
  height: 64px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

@media screen and (min-width: 1200px) {
  .navbar-expand-lg .navbar-nav .nav-link {
    padding-right: 0.8rem;
    padding-left: 0.8rem;
  }
}

@media screen and (min-width: 576px) and (max-width: 1199.99px) {
  .navbar .navbar-collapse .navbar-nav {
    margin-top: 1rem;
    margin-bottom: 1rem;
  }
}

.header__socials {
  display: flex;
  margin-left: -0.5rem;
}

.header__socials a {
  padding: 0.5rem;
  text-decoration: none;
}

.header__socials a:hover {
  text-decoration: none;
}

.header__socials a i {
	font-size: 1rem;
	color: white;
}

.header__socials.header__socials--mobile {
  margin-left: -0.7rem;
  padding-top: 0.4rem;
}

.header__socials.header__socials--mobile a {
  padding: 0.7rem;
}

.header__socials.header__socials--mobile a i {
  font-size: 1.3rem;
  color: rgba(255,255,255,.5);
}

.support_button {
    color: #fff;
    background-color: #5bb85d;
    border-color: #5bb85d;
}


/*--/ Hamburger Navbar /--*/

.navbar-toggler {
  position: relative;
}

.navbar-toggler:focus,
.navbar-toggler:active {
  outline: 0;
}

.navbar-toggler span {
  display: block;
  background-color: #ffffff;
  height: 2px;
  width: 30px;
  margin-top: 8px;
  margin-bottom: 8px;
  -webkit-transform: rotate(0deg);
  transform: rotate(0deg);
  left: 0;
  opacity: 1;
}

.navbar-toggler span:nth-child(1),
.navbar-toggler span:nth-child(3) {
  transition: -webkit-transform .35s ease-in-out;
  transition: transform .35s ease-in-out;
  transition: transform .35s ease-in-out, -webkit-transform .35s ease-in-out;
}

.navbar-toggler:not(.collapsed) span:nth-child(1) {
  position: absolute;
  left: 12px;
  top: 10px;
  -webkit-transform: rotate(135deg);
  transform: rotate(135deg);
  opacity: 0.9;
}

.navbar-toggler:not(.collapsed) span:nth-child(2) {
  height: 12px;
  visibility: hidden;
  background-color: transparent;
}

.navbar-toggler:not(.collapsed) span:nth-child(3) {
  position: absolute;
  left: 12px;
  top: 10px;
  -webkit-transform: rotate(-135deg);
  transform: rotate(-135deg);
  opacity: 0.9;
}


/* FOOTER */

.footer__top {
  background: #212121;
}

.footer__bottom {
  background: #000000;
}

footer {
  color: #8a8a8a;
}

footer a {
  color: #8a8a8a;
}

footer a:hover {
  color: #ffffff;
  text-decoration: none;
}

footer h1, footer h2, footer h3, footer h4, footer h5, footer h6 {
  color: #ffffff;
}

.footer__top {
  padding: 4rem 0rem;
}

@media screen and (max-width: 991px) {
  .footer__top {
    padding: 3.5rem 0rem;
  }
}

@media screen and (max-width: 768px) {
  .footer__top {
    padding: 3rem 0rem;
  }
}

@media screen and (max-width: 575px) {
  .footer__top {
    padding: 2.5rem 0rem;
  }
}

.footer__bottom {
  padding: 2rem 0rem;
}

.footer__bottom a {
  border-bottom: 1px dotted;
}

.footer__bottom a:hover {
  border-bottom: none;
  text-decoration: none;
  color: #8a8a8a;
}

.footer__list-heading {
  text-transform: uppercase;
  margin-bottom: 1.6rem;
}

/* UVOD */

.uvod__image-wrapper {
  max-width: 180px;
  display: inline-block;
}

.uvod__button {
  margin-right: 2rem;
}

/* PROGRAM */

.priorities__box {
  box-shadow: 0 .25rem 1.875rem rgba(42, 53, 79, .28);
  border: none;
  border-radius: 0;
}

.priorities__box .card-title {
  font-weight: bold;
}

.priorities__list {
  font-weight: bold;
  list-style: none;
  padding-left: 0;
}

.priorities__list li {
  margin-bottom: 0.5rem;
  display: flex;
}

.priorities__list li .bullet {
  background: #5bb85d;
  color: white;
  border-radius: 50%;
  width: 1.4rem;
  height: 1.4rem;
  font-size: 0.8rem;
  text-align: center;
  margin-right: 0.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}

.priorities__list li:last-child {
  margin-bottom: 0;
}

@media screen and (min-width: 1200px) {
  .priorities__box {
    max-width: 18rem;
  }

  .priorities__button {
    max-width: 18rem;
  }
}

.priority__heading {
  font-weight: bold;
}

.priority__icon {
  max-width: 10rem;
  margin-bottom: 1.6rem;
}

@media screen and (max-width: 768px) {
  .priority__icon {
    max-width: 8rem;
  }
}

@media screen and (max-width: 575px) {
  .priority {
    display: flex;
  }
  .priority__icon {
    width: 7rem;
    flex-shrink: 0;
    margin-right: 1.6rem;
  }
}

@media screen and (max-width: 400px) {
  .priority__icon {
    width: 5rem;
  }
}

@media screen and (max-width: 340px) {
  .priority__icon {
    width: 4rem;
  }
}

.priority a {
  color: black;
}

.priority a:hover {
  color: black;
  text-decoration: none;
}

/* ABOUT */
.about-images img {
  box-shadow: 0 .25rem 1.875rem rgba(42, 53, 79, .28);
}

/* NEWS */
.news__item {
  box-shadow: 0 .25rem 1.875rem rgba(42, 53, 79, .28);
  border-radius: 0;
  border: 0;
  height: 100%;
  color: black;
  transition: all 0.5s ease-in-out;

}

.news__item:hover {
  text-decoration: none;
  box-shadow: 0 .25rem 1.875rem rgba(42, 53, 79, 0.73);
  color: black;
}

.news__item:hover .card-img-top {
  opacity: 0.9;
}

.news__item .card-footer {
  border-radius: 0;
  border: 0;
}

.card-footer .text-muted {
  color: #707070 !important;
}

.news__item .card-img, .news__item .card-img-top {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.news__item .card-body h5 {
	font-weight: bold;
}

.news__item .card-body p:last-child {
	margin-bottom: 0;
}

.news__item .card-body p {
	color: #797676;
}

.news__item .card-footer span {
  color: #707070 !important;
  font-weight: 400;
  font-size: 0.9rem;
}

/* CALENDAR */
.calendar {
  display: flex;
  box-shadow: 0 .25rem 1.875rem rgba(42, 53, 79, .28);
}

.calendar__left {
  background: #e1242a;
  color: white;
  padding: 1.8rem;
  flex: 0 0 auto;
  justify-content: space-between;
  display: flex;
  flex-direction: column;
}

.calendar__icon {
  margin-bottom: 2rem;
}

.calendar__icon i {
  font-size: 9rem;
}

.calendar__right {
  width: 100%;
  padding: 0.8rem 0;
}

.calendar__row {
  display: flex;
  flex-wrap: nowrap;
  flex-direction: row;
}

.calendar__row__date1 h3 {
  font-family: "Bebas Neue", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  color: #e1242a;
  margin-bottom: 0;
}

.calendar__row__date1 {
  padding: 0.5rem 1.5rem;
}

.calendar__row__date2 {
  padding: 0.5rem;
  min-width: 6.8rem;
}

.calendar__row__content {
  padding: 0.5rem 1.2rem;
}

.calendar__row__date2 h6, .calendar__row__content h6 {
  font-weight: bold;
  margin-bottom: 0;
}

.calendar__row__date2 p, .calendar__row__content p {
  color: #6c757d;
  margin-bottom: 0;
}

@media screen and (min-width: 1200px) {
  .calendar__row__date2 {
    min-width: 7.6rem;
  }
}

@media screen and (max-width: 991px) {
  .calendar {
    flex-direction: column;
  }
  .calendar__left {
    flex-direction: row;
  }
  .calendar__icon {
    order: 1;
  }
  .calendar__icon {
    order: 1;
  }
  .calendar__left-content {
    order: 0;
  }
  .calendar__icon i {
    font-size: 5rem;
  }
}

@media screen and (max-width: 450px) {
  .calendar__row__date1 {
    display: none;
  }
  .calendar__row__date2 h6 {
    color: #e1242a;
  }
  .calendar__row__date2 {
    padding: 0.5rem 0.5rem 0.5rem 1.2rem;
  }
}

@media screen and (max-width: 430px) {
  .calendar__icon {
    display: none;
  }
}


.calendar__modal .modal-header {
    background: #e1242a;
    color: white;
    border-bottom: 0;
    border-radius: 0;
}

.calendar__modal .modal-body {
    background: #e1242a;
    color: white;
    padding-top: 0;
}

.calendar__modal .nav-link {
  color: white;
}

.calendar__modal .modal-content {
  border-radius: 0;
  border: none;
}

.calendar__modal .nav-pills .nav-link {
	border-radius: 0;
}

.calendar__modal .nav-pills .nav-link.active {
  background-color: white;
  color:black;
}

.calendar__modal .modal-header .close {
  padding: 0.2rem 1rem 1rem 1rem;
  text-shadow: none;
	color: white;
	font-weight: 300;
  line-height: 3rem;
  font-size: 3rem;
}


/* FINANCING */
.finance__item {
  box-shadow: 0 .25rem 1.875rem rgba(42, 53, 79, .28);
  display: flex;
  margin-bottom: 1rem;
  align-items: center;
}

.finance__content h6 {
  font-weight: bold;
  margin-bottom: 0;
}

.finance__content {
  padding: 0.8rem 1rem 0.8rem 0rem;
  flex-grow: 1;
}

.finance__icon {
  padding: 0.7rem 1.1rem;
}

.finance__item {
  color: black;
}

.finance__item:hover {
  text-decoration: none;
}

.finance__action {
  padding: 0rem;
}

@media screen and (max-width: 450px) {
  .finance__action {
    display: none;
  }
}


/* FOOTER */
.person {
  display: flex;
  align-items: center;
}

.person__photo {
  margin-right: 1rem;
  flex-shrink: 0;
  width: 5rem;
  height: 5rem;
}

@media screen and (max-width: 450px) {
  .person__photo {
    width: 4rem;
    height: 4rem;
  }
}

@media screen and (max-width: 350px) {
  .person__photo {
    width: 3rem;
    height: 3rem;
  }
}

.person__photo-inner {
  border-radius: 50%;
  overflow: hidden;
  border: 0.3rem solid white;
  width: 100%;
  height: 100%;
}

.person__content h6 {
  font-weight: bold;
  margin-bottom: 0;
}

.person__content a {
  display: block;
  word-break: break-all;
}

.socials, .other {
  display: flex;
  justify-content: flex-end;
}

.socials a {
  margin-right: 2.6rem;
}

@media screen and (max-width: 991px) {
  .socials a {
    margin-right: 1.6rem;
  }
}

.socials a:last-child {
  margin-right: 0;
}

.socials a i {
  font-size: 2.6rem;
  color: white;
}

@media screen and (max-width: 767.99px) {
  .socials, .other {
    justify-content: flex-start;
  }
  .socials a i {
    font-size: 1.8rem;
  }
}

.other {
  flex-direction: column;
  align-items: flex-end;
}

@media screen and (max-width: 767.99px) {
  .other {
    align-items: flex-start;
  }
}

/* PAGINATION */
.page-link {
  padding: .8rem 1.1rem;
  color: #333;
  background-color: #f3f3f3;
  border: 1px solid #f3f3f3;
  font-weight: bold;
}

.page-link:hover {
  color: #333;
  background-color: #e9ecef;
  border-color: #e9ecef;
}

.page-link:focus {
  box-shadow: 0 0 0 .2rem rgba(168, 168, 168, 0.25);
}

.page-item {
  margin-right: 0.5rem;
}

.page-item:last-child {
  margin-right: 0;
}

.page-item.active .page-link {
  color: #fff;
  background-color: #333;
  border-color: #333;
}

.page-item:first-child .page-link {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.page-item:last-child .page-link {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}



/* ARTICLE */
.article__header {
  padding: 4rem 0 2rem 0;
}

.article__date {
  margin-bottom: 0;
  color: #707070;
}

.article__tags .badge {
  font-size: 1rem;
  background: white;
  border-radius: 0;
  padding: 0.8rem 1.3rem;
  font-weight: normal;
}


/* SHARING BOX */
.article__sharing-box {
  box-shadow: 0 .25rem 1.875rem rgba(42, 53, 79, .28);
  border: none;
  border-radius: 0;
}

.article__sharing-box h3 {
  margin-bottom: 0;
}

.article__sharing-box .icon i {
  font-size: 2.4rem;
}

.article__sharing-box .icon {
  margin-bottom: 2.8rem;
}

.article__sharing-box .card-body {
  padding: 2rem;
  margin-bottom: 1rem;
}

.btn-facebook {
  color: #fff;
  background-color: #3b5998;
  border-color: #3b5998;
}

.btn-twitter {
  color: #fff;
  background-color: #55acee;
  border-color: #55acee;
}

.btn-linkedin {
  color: #fff;
  background-color: #007bb5;
  border-color: #007bb5;
}

.btn-facebook:hover {
  color: #fff;
  background-color: #253860;
  border-color: #253860;
}

.btn-twitter:hover {
  color: #fff;
  background-color: #448cc4;
  border-color: #448cc4;
}

.btn-linkedin:hover {
  color: #fff;
  background-color: #006291;
  border-color: #006291;
}

.sharing-buttons {
  display: flex;
  justify-content: space-between;
}

.sharing-buttons a {
  flex: 1;
  margin-right: 8px;
  padding: .375rem .75rem;
}

.sharing-buttons a:last-child {
  margin-right: 0;
}

.sharing-box__content {
  margin-bottom: 0.6rem;
}

@media screen and (max-width: 991px) {
  .article__sharing-box .card-body {
    padding: 1.8rem;
    margin-bottom: 0;
  }
  .article__sharing-box .image {
    display: none;
  }

  .sharing-box__content {
    display: flex;
    align-items: center;
    margin-bottom: 1rem;
  }

  .article__sharing-box .icon {
    margin-bottom: 0;
    margin-right: 1.2rem;
  }
}

/* ARTICLE CONTENT */
article img {
  max-width: 100%;
  height: auto;
  margin-top: 1rem;
  margin-bottom: 3rem;
}



/* ARTICLE CONTENT */

.priority-alt__icon {
	max-width: 8rem;
	margin-right: 1.6rem;
}


.priority-alt__content {
	display: flex;
	align-items: center;
	margin-bottom: 2rem;
}
